Bug 982238 - Multi-Monitor does Not work if you want one monitor to use Intel GPU and another Nvidia GPU - LGA 1155 motherboards
Multi-Monitor does Not work if you want one monitor to use Intel GPU and anot...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 08:49 EDT by Malcolm
Modified: 2015-02-17 10:58 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 830619
Environment:
Last Closed: 2015-02-17 10:58:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Malcolm 2013-07-08 08:49:49 EDT
+++ This bug was initially created as a clone of Bug #830619 +++

https://en.wikipedia.org/wiki/LGA_1155

The above article lists all the LGA 1155 motherboards which "Allows using built-in GPU" also known as Integrated GPU / iGPU. But basically it is talking about the Integrated GPU which comes with the Intel Sandy Bridge and Ivy Bridge microprocessors.

It basically allows using the Integrated GPU along with a Dedicated GPU like Nvidia or ATI.

I have an H67 Motherboard, and was able to successfully make a multi-monitor set up, in Windows 7:  One monitor was connected to the VGA output on the Nvidia GT 520 GPU. The other monitor was connected to the VGA output on the motherboard (Core i3 - integrated graphics).

The same setup unfortunately fails in Fedora.

http://www.smolts.org/client/show_all/pub_9b118418-5637-4127-9c4b-506fd6bfb436

--- Additional comment from Josh Boyer on 2012-06-11 08:22:38 EDT ---

Dave, not sure which xorg component to stick this under.  Seems to be a combination of i915, nouveau, and switcheroo?

--- Additional comment from Malcolm on 2012-06-11 16:10:08 EDT ---

I am posting a reference to the message on the mailing list (it has some more information but goes a little off-topic, sorry): https://lists.fedoraproject.org/pipermail/devel/2012-June/168452.html

Would it be possible to Clone this bug 3 times: the 1st bug would have xorg component i915, the 2nd bug would have xorg component nouveau, and the 3rd bug would have xorg component switcheroo?

--- Additional comment from Dave Airlie on 2012-06-12 05:08:21 EDT ---

not really an fedora bug, there is no upstream support for this configuration yet.

so I don't see the point addressing it in the fedora bugzilla.

--- Additional comment from Josh Boyer on 2012-06-12 07:21:41 EDT ---

(In reply to comment #3)
> not really an fedora bug, there is no upstream support for this
> configuration yet.
> 
> so I don't see the point addressing it in the fedora bugzilla.

Would you prefer a bug to get opened on freedesktop.org, or is there already one for this kind of item?

--- Additional comment from Malcolm on 2012-06-12 13:02:27 EDT ---

(In reply to comment #4)
> (In reply to comment #3)
> > not really an fedora bug, there is no upstream support for this
> > configuration yet.
> > 
> > so I don't see the point addressing it in the fedora bugzilla.
> 
> Would you prefer a bug to get opened on freedesktop.org, or is there already
> one for this kind of item?

I just filed a bug over there: https://bugs.freedesktop.org/show_bug.cgi?id=51012

Would appreciate if you could check to make sure it is correct (i.e. components etc). Thanks.

Also, is there anywhere else I also need to file a bug?

--- Additional comment from Adam Williamson on 2012-06-12 19:55:41 EDT ---

oh, so is there an extra wrinkle in this case where the two adapters are hooked up to an optimus thingy, so it's not just a straightforward case of multiple adapter support, but you also need to make switcheroo run both adapters?

--- Additional comment from Malcolm on 2012-06-13 00:55:00 EDT ---

(In reply to comment #6)
> oh, so is there an extra wrinkle in this case where the two adapters are
> hooked up to an optimus thingy, so it's not just a straightforward case of
> multiple adapter support, but you also need to make switcheroo run both
> adapters?

The both adapters have to be running simultaneously.

I can explain how it worked in Windows 7:

1. The Main Monitor is connected using the Nvidia card's VGA output.

2. After installing Windows 7, download the Nvidia Drivers. Once installed you will see Nvidia icon in system tray.


3. The Motherboard has another VGA output soldiered on it. This is for people who don't have dedicated graphics card. 

4. If a person has a dedicated card this is Disabled by default.

5. Then go into the BIOS settings to enable Multi-Monitor support.

6. Connecting  the Second Monitor to the Motherboard's VGA port will not do anything at this time. 

7. Downloaded either the Intel Graphics Driver from Intel's website, or the VGA drivers that usually are available from the Manufacturer's website (eg. MSI or ASUS etc)

8. Now the second monitor will light up.

9. There will be a new tray icon for Intel graphics settings. 

10. If you unplug the Second monitor this goes away from the system tray.

11. If you unplug the Main monitor, the Nvidia icon stays, but I don't think you can change any settings.

12. When both the monitors are connected. there are 2 icons in the system tray, and you can modify the settings for both: the Intel Graphics connected monitor and Nvidia Graphics connected monitor.

--- Additional comment from Malcolm on 2012-06-13 02:00:18 EDT ---

> Er, using multiple video adapters simultaneously is hardly some kind of
> new technological improvement. It's been possible for years, probably
> decades.
> 
> X actually used to support it somewhat 'better' prior to RandR 1.2 being
> developed. The new randr stuff focused on supporting multiple outputs
> from a single adapter _really well_, and it certainly did/does that, but
> it compromised on multiple adapter support as a trade-in. I'm never
> quite sure what the current status is on putting multiple adapter
> support back in, but I expect ajax or airlied would know. It may well be
> the case that you actually could get it to work and you just need a
> custom config.

Can someone who has one of the motherboards here https://en.wikipedia.org/wiki/LGA_1155 which supports using Intel's built-in GPU, and a dedicated GPU card like Nvidia, test?

That is, to see if using multiple video adapters simultaneously works in Fedora 17? Please.

PS. My specs right now are:

MSI H67MA-E45 (B3) H67 mATX LGA1155 DDR3 PCI-E16 3PCI-E HDMI DVI Audio GBLAN SATA3 Motherboard 

Intel Core i3 2100 Dual Core Hyperthreading Processor LGA1155 3.1GHZ Sandy Bridge 3MB 

MSI GeForce GT 520 810MHZ 1024MB 1GB DDR3 PCI-E VGA DVI HDMI HDCP Video Card

--- Additional comment from Malcolm on 2012-06-13 18:00:37 EDT ---

+ this post was made by John Reiser + Thanks.

https://lists.fedoraproject.org/pipermail/devel/2012-June/168574.html

-----



I have an ASUS P8Z68-V/GEN3 main board which can run the Intel HD3000
graphics which is builtin, using a i5 Sandy Bridge CPU.  The box also
has an nVidia GeForce GT 430 card (PCI 10de:0de1 rev a1).
I usually run only one monitor (from the nVidia card), but I decided
to experiment.

The American Megatrends BIOS (version 0301 [original; now old]) has
System Agent Configuration options Initiate [Initial] Graphic Adapter,
and iGPU Multi-monitor.  I set iGPU as the initial monitor, and
iGPU Multi-monitor to Enabled, and connect two monitors: one to the
VGA port of the Intel graphics, one to the VGA port of the nVidia card.
Upon reboot, then both LCD monitors turn on their backlights.
The monitor connected to the Intel VGA port gets the BIOS and GRUB
displays, and becomes the normal monitor.  The monitor connected to the
nVidia VGA port gets no normal display, and after a few seconds the
hardware in the monitor detects "No display" and turns itself off.

The F-17 Gnome3 desktop System Settings > Displays detects only the display
that is connected to the Intel VGA port.  xrandr also shows only the
ports that are associated with the builtin Intel hardware.
/var/log/Xorg.0.log shows only the monitor with the normal display.
Only the VGA ports seem to be active in this two-monitor attempt.
Using anything other than VGA ports (both cards have DVI and HDMI ports, too;
both monitors have VGA and DVI connectors) produces no display on any non-VGA
connection.

One monitor (6 years old; 1280x1024) reports EDID info, the other does not
(9 years old; 1024x768.)  Interchanging monitor<->"card" connections
has no observed effect on behavior.

So, it seems to me that this setup "fails multi-monitor usage"
in the manner that Malcolm Turmel describes.
My box has no other operating system installed, so I cannot say
anything about whether multi-monitor works with any other operating system.

syslog (/var/log/messages) detects the Intel graphics hardware as:
Jun 13 10:24:49 f17e64 kernel: [    1.020600] agpgart-intel 0000:00:00.0: Intel Sandybridge Chipset
Jun 13 10:24:49 f17e64 kernel: [    1.020698] agpgart-intel 0000:00:00.0: detected gtt size: 2097152K total, 262144K mappable
Jun 13 10:24:49 f17e64 kernel: [    1.021529] agpgart-intel 0000:00:00.0: detected 65536K stolen memory
Jun 13 10:24:49 f17e64 kernel: [    1.021610] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xc0000000
Jun 13 10:24:49 f17e64 kernel: [    2.494960] fb: conflicting fb hw usage inteldrmfb vs VESA VGA - removing generic driver
Jun 13 10:24:49 f17e64 kernel: [    2.495798] fbcon: inteldrmfb (fb0) is primary device
Jun 13 10:24:49 f17e64 kernel: [    2.660097] fb0: inteldrmfb frame buffer device
Jun 13 10:24:49 f17e64 kernel: [   11.189735] hda_intel: Disabling MSI

syslog detects the nVidia hardware as:
Jun 13 10:24:49 f17e64 kernel: [    1.501442] [drm] Initialized drm 1.1.0 20060810
Jun 13 10:24:49 f17e64 kernel: [    1.507444] [drm] nouveau 0000:01:00.0: Detected an NVc0 generation card (0x0c1080a1)
Jun 13 10:24:49 f17e64 kernel: [    1.513098] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
Jun 13 10:24:49 f17e64 kernel: [    1.522820] [drm] nouveau 0000:01:00.0: ... BIOS signature not found
Jun 13 10:24:49 f17e64 kernel: [    1.522822] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PROM
Jun 13 10:24:49 f17e64 kernel: [    1.821809] [drm] nouveau 0000:01:00.0: ... appears to be valid
Jun 13 10:24:49 f17e64 kernel: [    1.821811] [drm] nouveau 0000:01:00.0: BIT BIOS found
Jun 13 10:24:49 f17e64 kernel: [    1.821813] [drm] nouveau 0000:01:00.0: Bios version 70.08.29.00
Jun 13 10:24:49 f17e64 kernel: [    1.821815] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
Jun 13 10:24:49 f17e64 kernel: [    1.822011] [drm] nouveau 0000:01:00.0: MXM: no VBIOS data, nothing to do
Jun 13 10:24:49 f17e64 kernel: [    1.822013] [drm] nouveau 0000:01:00.0: DCB version 4.0
Jun 13 10:24:49 f17e64 kernel: [    1.822015] [drm] nouveau 0000:01:00.0: DCB outp 00: 01000302 00020030
Jun 13 10:24:49 f17e64 kernel: [    1.822016] [drm] nouveau 0000:01:00.0: DCB outp 01: 02000300 00000000
Jun 13 10:24:49 f17e64 kernel: [    1.822017] [drm] nouveau 0000:01:00.0: DCB outp 02: 04011310 00020020
Jun 13 10:24:49 f17e64 kernel: [    1.822019] [drm] nouveau 0000:01:00.0: DCB outp 03: 02022362 00020010
Jun 13 10:24:49 f17e64 kernel: [    1.822020] [drm] nouveau 0000:01:00.0: DCB conn 00: 00001030
Jun 13 10:24:49 f17e64 kernel: [    1.822021] [drm] nouveau 0000:01:00.0: DCB conn 01: 00000100
Jun 13 10:24:49 f17e64 kernel: [    1.822022] [drm] nouveau 0000:01:00.0: DCB conn 02: 00002261
Jun 13 10:24:49 f17e64 kernel: [    1.822036] [drm] nouveau 0000:01:00.0: Adaptor not initialised, running VBIOS init tables.
Jun 13 10:24:49 f17e64 kernel: [    1.822037] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0x6BB6
Jun 13 10:24:49 f17e64 kernel: [    1.882705] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0x71FC
Jun 13 10:24:49 f17e64 kernel: [    1.909746] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0x8391
Jun 13 10:24:49 f17e64 kernel: [    1.909753] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0x8395
Jun 13 10:24:49 f17e64 kernel: [    1.909807] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0x847D
Jun 13 10:24:49 f17e64 kernel: [    1.909809] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0x84E2
Jun 13 10:24:49 f17e64 kernel: [    1.954104] [drm] nouveau 0000:01:00.0: 3 available performance level(s)
Jun 13 10:24:49 f17e64 kernel: [    1.954107] [drm] nouveau 0000:01:00.0: 0: core 50MHz shader 101MHz memory 135MHz timing 0 voltage 880mV
Jun 13 10:24:49 f17e64 kernel: [    1.954109] [drm] nouveau 0000:01:00.0: 1: core 405MHz shader 810MHz memory 324MHz timing 1 voltage 900mV
Jun 13 10:24:49 f17e64 kernel: [    1.954112] [drm] nouveau 0000:01:00.0: 3: core 700MHz shader 1400MHz memory 600MHz timing 3 voltage 1080mV
Jun 13 10:24:49 f17e64 kernel: [    1.954188] [drm] nouveau 0000:01:00.0: c: core 405MHz shader 810MHz memory 324MHz voltage 900mV
Jun 13 10:24:49 f17e64 kernel: [    1.956084] [drm] nouveau 0000:01:00.0: Detected 1024MiB VRAM
Jun 13 10:24:49 f17e64 kernel: [    1.957868] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
Jun 13 10:24:49 f17e64 kernel: [    1.965067] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Jun 13 10:24:49 f17e64 kernel: [    1.965068] [drm] No driver support for vblank timestamp query.
Jun 13 10:24:49 f17e64 kernel: [    1.965126] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering our own
Jun 13 10:24:49 f17e64 kernel: [    2.109037] [drm] nouveau 0000:01:00.0: allocated 1024x768 fb: 0x1a0000, bo ffff880424ed7000
Jun 13 10:24:49 f17e64 kernel: [    2.109136] [drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
Jun 13 10:24:49 f17e64 kernel: [    2.207643] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Jun 13 10:24:49 f17e64 kernel: [    2.207645] [drm] Driver supports precise vblank timestamp query.
Jun 13 10:24:49 f17e64 kernel: [    2.298122] [drm] Enabling RC6 states: RC6 on, RC6p off, RC6pp off
Jun 13 10:24:49 f17e64 kernel: [    2.661763] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 1
Jun 13 10:26:33 f17e64 kernel: [  117.645376] [drm] nouveau 0000:01:00.0: DDC responded, but no EDID for HDMI-A-1

--

--- Additional comment from John Reiser on 2012-06-14 00:42:46 EDT ---

Notice two VGA controllers:
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: nVidia Corporation GF108 [GeForce GT 430] (rev a1)

--- Additional comment from John Reiser on 2012-06-14 00:45:22 EDT ---

Notice that Xserver sees both VGA controllers:
[    14.362] (--) PCI:*(0:0:2:0) 8086:0112:1043:844d rev 9, Mem @ 0xfb400000/4194304, 0xc0000000/268435456, I/O @ 0x0000f000/64, BIOS @ 0x????????/131072
[    14.362] (--) PCI: (0:1:0:0) 10de:0de1:3842:1335 rev 161, Mem @ 0xfa000000/16777216, 0xd0000000/134217728, 0xd8000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/524288

--- Additional comment from John Reiser on 2012-06-14 10:16:26 EDT ---

kernel-3.3.7-1.fc17.x86_64
xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64
xorg-x11-xinit-1.3.2-5.fc17.x86_64
xorg-x11-drv-intel-2.19.0-1.fc17.x86_64
xorg-x11-drv-nouveau-0.0.16-35.20120306gitf5d1cd2.fc17.x86_64
udev-182-3.fc17.x86_64
dbus-1.4.10-4.fc17.x86_64
gnome-desktop3-3.4.2-1.fc17.x86_64

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 42
model name	: Intel(R) Core(TM) i5-2500K CPU @ 3.30GHz
stepping	: 7
microcode	: 0x25

--- Additional comment from Fedora End Of Life on 2013-04-03 09:31:43 EDT ---

This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

--- Additional comment from Justin M. Forbes on 2013-04-05 15:56:14 EDT ---

Is this still an issue with the 3.9 kernels in F19?

--- Additional comment from Justin M. Forbes on 2013-04-23 13:25:27 EDT ---

This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

--- Additional comment from Malcolm on 2013-07-08 08:45:39 EDT ---

yes
Comment 1 Fedora End Of Life 2015-01-09 13:46:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:58:26 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.